#!/bin/sh

. /etc/utils/shell-utils.sh
DEBUG=0

WIFI_CURR_DRIVER_FILE=/ram/wifi/curr_driver

wifi_driver=$(cat "$WIFI_CURR_DRIVER_FILE" 2>/dev/null)

log "wifi_driver=$wifi_driver"
if [ -n "$wifi_driver" ]; then
    log "[i] External WIFI dongle active. Deiniting..."
    /etc/init.d/wifi_if_handler.sh stop
    exit 0
fi

log "Deinitializing on-board wifi module."
/etc/init.d/wifi_stop_wa.sh
killall wpa_supplicant
ifconfig wlan0 down


case "$(lsusb)" in
  *0bda:c82c*)
	log "Deinitializing [RTL8822CU]."
	rmmod rtl8822cu
        ;;
  *0bda:b82c*)
	log "Deinitializing [RTL8822BU]."
	rmmod rtl8822bu
        ;;
  *0bda:d723*)
	log "Deinitializing [RTL8723DU]."
	rmmod rtl8723du
        ;;
  *)
esac


exit 0
